Provides a URL that can be used to sign the user into the system.
curl --request POST \
--url https://api.smartermeasure.com/v3/users/{userid}/signon \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"UseSSL": true,
"IncludeSettings": false,
"RedirectToSection": "<string>"
}
'import requests
url = "https://api.smartermeasure.com/v3/users/{userid}/signon"
payload = {
"UseSSL": True,
"IncludeSettings": False,
"RedirectToSection": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({UseSSL: true, IncludeSettings: false, RedirectToSection: '<string>'})
};
fetch('https://api.smartermeasure.com/v3/users/{userid}/signon', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"RequestId": "c03a3436-4726-4902-93401d56ce5028f5",
"TimeStamp": "2026-06-09T20:45:20Z",
"RedirectUrl": "https://nexus.smartermeasure.com/assessmentpublic.ssologin/requestid/c03a3436-4726-4902-93401d56ce5028f5"
}Users/Assessments
Sign On
Provides a URL that can be used to sign the user into the system.
POST
/
users
/
{userid}
/
signon
Provides a URL that can be used to sign the user into the system.
Authorizations
Basic authentication with username and password
Path Parameters
User that should be returned.
Body
application/json
If this is set to true, the redirect URL will be provided with https.
If set to true, the custom settings supplied with the integration you are using will be applied.
This only applies to disaggregate mode. If supplied the user will be directed to this section of the assessment upon logging in. Use the section code (e.g. LearnStyles, LifeFactors).
Was this page helpful?
⌘I
